#include <cstdio>
#include <algorithm>
#include <iostream>
#include <cstring>
#include <cmath>

using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    string s;
    cin>>s;
    if(n<=26)
    {
        bool m = false;
        for(int i = 0; i<n; i++)
        {

            if(s[i]-65!=i)
            {
                    m=true;
            }

        }
        if(m) cout<<"0";
        else cout<<"1";
    }
    else if(n==27)
    {
        bool m = false;
        int k = 0;
        int r = 0;
        for(int i = 0; i<n; i++)
        {

            if(s[i]-65!=i-k)
            {
                k++;
                if(m==false)
                {
                    r=i;
                    m=true;
                }
            }

        }
        if(k>=2) cout<<"0";
        else if(s[r]==s[r-1]) cout<<"2";
        else cout<<"1";


    }
    else cout<<"0";




    return 0;
}